<?php
require_once dirname(__FILE__) . "/../init.php";

require_once "Dklab/Cache/Backend/TagEmuWrapper.php"; 
require_once "Dklab/Cache/Frontend/Slot.php"; 
require_once "Dklab/Cache/Frontend/Tag.php"; 
require_once "Zend/Cache/Backend/Memcached.php"; 

$memcached = new Zend_Cache_Backend_Memcached($memcachedOptions);
$backendTag = new Dklab_Cache_Backend_TagEmuWrapper($memcached);

$testKey = array("id" => uniqid(''));
$testTags = array("tagA", "tagB", "tagC", "tagD");

class Cache_Slot_Test extends Dklab_Cache_Frontend_Slot {
    public function __construct(array $test) {
        parent::__construct("test_{$test['id']}", 3600);
    }
    protected function _getBackend() {
        return $GLOBALS['backendTag'];
    }
}

class Cache_Tag_TestA extends Dklab_Cache_Frontend_Tag {
    public function __construct(array $test) {
        parent::__construct("testA_{$test['id']}");
    }
    public function getBackend() {
        return $GLOBALS['backendTag'];
    }
}

class Cache_Tag_TestB extends Cache_Tag_TestA {
    public function __construct(array $test) {
        parent::__construct("testB_{$test['id']}");
    }
}
