--TEST--
Dklab_Cache_Backend_Profiler: save + tags + load

--FILE--
<?php
require dirname(__FILE__) . '/init.php';

echo "Save:\n";
$backend->save($testObj, $testKey, $testTags);
echo "Load:\n";
$backend->load($testKey);
echo "Test:\n";
$backend->test($testKey);
echo "Clean:\n";
$backend->clean(Zend_Cache::CLEANING_MODE_MATCHING_TAG, array($testTags[1]));
echo "Load:\n";
$backend->load($testKey);

?>
--EXPECT--
Save:
Incrementor: Dklab_Cache_Backend_Profiler::save
Incrementor: Dklab_Cache_Backend_Profiler::save
Incrementor: Dklab_Cache_Backend_Profiler::save
Incrementor: Dklab_Cache_Backend_Profiler::save
Incrementor: Dklab_Cache_Backend_Profiler::save
Load:
Incrementor: Dklab_Cache_Backend_Profiler::load
Incrementor: Dklab_Cache_Backend_Profiler::test
Incrementor: Dklab_Cache_Backend_Profiler::test
Incrementor: Dklab_Cache_Backend_Profiler::test
Incrementor: Dklab_Cache_Backend_Profiler::test
Test:
Incrementor: Dklab_Cache_Backend_Profiler::load
Incrementor: Dklab_Cache_Backend_Profiler::test
Incrementor: Dklab_Cache_Backend_Profiler::test
Incrementor: Dklab_Cache_Backend_Profiler::test
Incrementor: Dklab_Cache_Backend_Profiler::test
Clean:
Incrementor: Dklab_Cache_Backend_Profiler::remove
Load:
Incrementor: Dklab_Cache_Backend_Profiler::load
Incrementor: Dklab_Cache_Backend_Profiler::test
Incrementor: Dklab_Cache_Backend_Profiler::test
