--TEST--
Dklab_Cache_Backend_ReplicationWrapper: all operations
--FILE--
<?php
require dirname(__FILE__) . '/init.php';
$wrapper = new Dklab_Cache_Backend_ReplicationWrapper(array($dummy1, $dummy2, $dummy3));
$wrapper->setDirectives(array('a' => 'aaa'));
$wrapper->save('some data', 'a', array('t' => 'ttt'), true);
$wrapper->load('a', true);
$wrapper->test('a');
$wrapper->remove('a');
$wrapper->clean();
?>

--EXPECT--
2: setDirectives(array (
  0 => 
  array (
    'a' => 'aaa',
  ),
))
3: setDirectives(array (
  0 => 
  array (
    'a' => 'aaa',
  ),
))
1: setDirectives(array (
  0 => 
  array (
    'a' => 'aaa',
  ),
))
2: save(array (
  0 => 'some data',
  1 => 'a',
  2 => 
  array (
    't' => 'ttt',
  ),
  3 => true,
))
3: save(array (
  0 => 'some data',
  1 => 'a',
  2 => 
  array (
    't' => 'ttt',
  ),
  3 => true,
))
1: save(array (
  0 => 'some data',
  1 => 'a',
  2 => 
  array (
    't' => 'ttt',
  ),
  3 => true,
))
1: load(array (
  0 => 'a',
  1 => true,
))
1: test(array (
  0 => 'a',
))
2: remove(array (
  0 => 'a',
))
3: remove(array (
  0 => 'a',
))
1: remove(array (
  0 => 'a',
))
2: clean(array (
  0 => 'all',
  1 => 
  array (
  ),
))
3: clean(array (
  0 => 'all',
  1 => 
  array (
  ),
))
1: clean(array (
  0 => 'all',
  1 => 
  array (
  ),
))
