--TEST--
Dklab_Cache_Backend_TagEmuWrapper: save + tags + load

--FILE--
<?php
require dirname(__FILE__) . '/init.php';

$backend->save($testObj, $testKey, $testTags);
printr($backend->load($testKey), "After saving");
printr(!!$backend->test($testKey), "Test after saving");

$backend->save("abcd", "key");
printr($backend->load("key"), "Other after saving");

$backend->clean(Zend_Cache::CLEANING_MODE_MATCHING_TAG, array($testTags[1]));
printr($backend->load($testKey), "After tag cleaning");
printr(!!$backend->test($testKey), "Test after tag cleaning");
printr($backend->load("key"), "Other after tag cleaning");


?>
--EXPECT--
After saving: array (
  0 => 
  array (
    0 => 1,
    1 => 2,
    2 => 3,
  ),
  1 => 
  array (
    'hello' => 'world',
  ),
)
Test after saving: true
Other after saving: 'abcd'
After tag cleaning: false
Test after tag cleaning: false
Other after tag cleaning: 'abcd'

