--TEST--
Dklab_Cache_Frontend: tags testing

--FILE--
<?php
require dirname(__FILE__) . '/init.php';

$objDepA = array("id" => uniqid(''));
$objDepB = array("id" => uniqid(''));

$slot = new Cache_Slot_Test($testKey);
$slot->addTag(new Cache_Tag_TestA($objDepA));
$slot->addTag(new Cache_Tag_TestA($objDepB));
$slot->save("123");

$slot = new Cache_Slot_Test($testKey);
printr($slot->load(), "Loaded before clearing");

$tag = new Cache_Tag_TestA($objDepB);
$tag->clean();
printr($slot->load(), "Loaded after tag clearing");

?>

--EXPECT--
Loaded before clearing: '123'
Loaded after tag clearing: false
