--TEST--
Dklab_Cache_Backend_NamespaceWrapper: tag cleaning in namespaces

--FILE--
<?php
require dirname(__FILE__) . '/init.php';

$backend1->save("abcd", $testKey, $testTags);
$backend2->save("efgh", $testKey, $testTags);
printr($backend1->load($testKey), "Saved #1");
printr($backend2->load($testKey), "Saved #2");

$backend1->clean(Zend_Cache::CLEANING_MODE_MATCHING_TAG, array($testTags[1]));
printr($backend1->load($testKey), "After cleaning #1");
printr($backend2->load($testKey), "After cleaning #2");

?>
--EXPECT--
Saved #1: 'abcd'
Saved #2: 'efgh'
After cleaning #1: false
After cleaning #2: 'efgh'
