--TEST--
Dklab_Cache_Backend_Profiler: save + test

--FILE--
<?php
require dirname(__FILE__) . '/init.php';

$backend->remove($testKey);
printr(!!$backend->test($testKey), "Exists");

$backend->save(false, $testKey);
printr(!!$backend->test($testKey), "Saved false");

$backend->remove($testKey);
printr(!!$backend->test($testKey), "Exists");

$backend->save("abcd", $testKey);
printr(!!$backend->test($testKey), "Saved value");

?>
--EXPECT--
Incrementor: Dklab_Cache_Backend_Profiler::remove
Incrementor: Dklab_Cache_Backend_Profiler::load
Exists: false
Incrementor: Dklab_Cache_Backend_Profiler::save
Incrementor: Dklab_Cache_Backend_Profiler::load
Saved false: true
Incrementor: Dklab_Cache_Backend_Profiler::remove
Incrementor: Dklab_Cache_Backend_Profiler::load
Exists: false
Incrementor: Dklab_Cache_Backend_Profiler::save
Incrementor: Dklab_Cache_Backend_Profiler::load
Saved value: true
